Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRHorizontalFiller

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRBaseFiller
          net.sf.jasperreports.engine.fill.JRHorizontalFiller

All Implemented Interfaces:
  JRVirtualPrintPage.IdentityDataProvider, JRDefaultFontProvider, JRDefaultStyleProvider

    public class JRHorizontalFiller

extends JRBaseFiller

Version:
  $Id: JRHorizontalFiller.java 3953 2010-09-20 13:54:34Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRBaseFiller
`JRBaseFiller.BoundElementMap, JRBaseFiller.DefaultStyleListener, JRBaseFiller.PageIdentityDataProvider`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRBaseFiller
`background, bands, bottomMargin, boundElements, calculator, columnCount, columnDirection, columnFooter, columnFooterOffsetY, columnHeader, columnHeaderOffsetY, columnIndex, columnSpacing, columnWidth, datasetMap, dateFormatCache, defaultFont, defaultStyle, detailSection, fileResolver, fillContext, fillerId, fonts, formatFactory, groups, isCreatingNewPage, isFirstColumnBand, isFirstPageBand, isFloatColumnFooter, isLastPageFooter, isNewColumn, isNewGroup, isNewPage, isPerPageBoundElements, isSummaryNewPage, isSummaryWithPageHeaderAndFooter, isTitleNewPage, jasperPrint, jasperReport, keepTogetherSavePoint, lastPageColumnFooterOffsetY, lastPageFooter, leftMargin, mainDataset, missingFillBand, missingFillSection, name, noData, numberFormatCache, offsetX, offsetY, orientation, pageFooter, pageHeader, pageHeight, pageWidth, parentElement, parentFiller, printOrder, printPage, printPageStretchHeight, reportClassLoader, reportTemplates, rightMargin, scriptlet, styles, subfillers, summary, templates, title, topMargin, urlHandlerFactory, virtualizer, whenNoDataType, whenResourceMissingType`

Constructor Summary
`protected` | `JRHorizontalFiller(JasperReport jasperReport)`
`protected` | `JRHorizontalFiller(JasperReport jasperReport, DatasetExpressionEvaluator evaluator, JRFillSubreport parentElement)`
`protected` | `JRHorizontalFiller(JasperReport jasperReport, JREvaluator evaluator, JRFillSubreport parentElement)`
`protected` | `JRHorizontalFiller(JasperReport jasperReport, JRFillSubreport parentElement)`

Method Summary
`protected void` | `fillBand(JRPrintBand band)`
`protected net.sf.jasperreports.engine.fill.SavePoint` | `fillColumnBand(JRFillBand band, byte evaluation)`
`protected void` | `fillFixedBand(JRFillBand band, byte evaluation)`
`protected void` | `fillFixedBand(JRFillBand band, byte evaluation, boolean allowShrinking)`
`protected void` | `fillPageBand(JRFillBand band, byte evaluation)` private void fillColumnBreak( byte evalPrevPage, byte evalNextPage ) throws JRException { if (columnIndex == columnCount - 1) { fillPageBreak(false, evalPrevPage, evalNextPage); } else { if (keepTogetherSavePoint !
`protected void` | `fillReport()`
`protected void` | `setPageHeight(int pageHeight)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRBaseFiller
`addBoundElement, addBoundElement, addBoundElement, addDefaultStyleListener, addPage, addPageIdentityDataProvider, addPrintStyle, addVariableCalculationReq, advanceSavePoint, cancelFill, collectIncludedTemplates, collectStyles, collectStyles, collectStyles, collectTemplates, collectTemplateStyles, createReportTemplates, evaluateExpression, fill, fill, fill, getCurrentPage, getCurrentPageCount, getCurrentPageStretchHeight, getDateFormat, getDefaultFont, getDefaultStyle, getExpressionEvaluator, getField, getFieldsMap, getFonts, getFormatFactory, getGroup, getIdentityData, getJasperPrint, getJasperReport, getLocale, getMainDataset, getMasterColumnCount, getMasterFiller, getNumberFormat, getParametersMap, getParameterValuesMap, getResourceBundle, getStyledTextParser, getTemplates, getTimeZone, getVariable, getVariablesMap, getVariableValue, getWhenResourceMissingType, hasMasterFormatFactory, hasMasterLocale, hasMasterTimeZone, isBandOverFlowAllowed, isInterrupted, isSubreport, isSubreportRunToBottom, loadStyles, lookupExternalDefaultStyle, moveKeepTogetherSavePointContent, newPage, next, registerSubfiller, removePageIdentityDataProvider, resolveBandBoundElements, resolveBoundElements, resolveColumnBoundElements, resolveGroupBoundElements, resolvePageBoundElements, resolveReportBoundElements, setBandOverFlowAllowed, setConnectionParameterValue, setDatasourceParameterValue, setDefaultStyle, setIdentityData, setInterrupted, setParameter, setParameter, setParameters, setSubreportRunner, suspendSubreportRunner, unregisterSubfiller`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRHorizontalFiller

    protected JRHorizontalFiller(JasperReport jasperReport)
                          throws JRException

Throws:
  `JRException`

### JRHorizontalFiller

    protected JRHorizontalFiller(JasperReport jasperReport,
                                 JRFillSubreport parentElement)
                          throws JRException

Throws:
  `JRException`

### JRHorizontalFiller

    protected JRHorizontalFiller(JasperReport jasperReport,
                                 DatasetExpressionEvaluator evaluator,
                                 JRFillSubreport parentElement)
                          throws JRException

Throws:
  `JRException`

### JRHorizontalFiller

    protected JRHorizontalFiller(JasperReport jasperReport,
                                 JREvaluator evaluator,
                                 JRFillSubreport parentElement)
                          throws JRException

Throws:
  `JRException`

Method Detail

### setPageHeight

    protected void setPageHeight(int pageHeight)

  Specified by:
    `setPageHeight` in class `JRBaseFiller`

### fillReport

    protected void fillReport()
                       throws JRException

  Specified by:
    `fillReport` in class `JRBaseFiller`
  Throws:
    `JRException`

### fillPageBand

    protected void fillPageBand(JRFillBand band,
                                byte evaluation)
                         throws JRException

  private void fillColumnBreak( byte evalPrevPage, byte evalNextPage ) throws JRException { if (columnIndex == columnCount - 1) { fillPageBreak(false, evalPrevPage, evalNextPage); } else { if (keepTogetherSavePoint != null) { keepTogetherSavePoint.saveEndOffsetY(offsetY); } fillColumnFooter(evalPrevPage); resolveGroupBoundImages(evalPrevPage, false); resolveColumnBoundImages(evalPrevPage); resolveGroupBoundTexts(evalPrevPage, false); resolveColumnBoundTexts(evalPrevPage); scriptlet.callBeforeColumnInit(); calculator.initializeVariables(JRVariable.RESET_TYPE_COLUMN); scriptlet.callAfterColumnInit(); columnIndex += 1; offsetX = leftMargin + columnIndex * (columnSpacing + columnWidth); offsetY = columnHeaderOffsetY; calculator.getColumnNumber().setValue( Integer.valueOf(((Number)calculator.getColumnNumber().getValue()).intValue() + 1) ); calculator.getColumnNumber().setOldValue( calculator.getColumnNumber().getValue() ); fillColumnHeader(evalNextPage); if (keepTogetherSavePoint != null) { moveKeepTogetherSavePointContent(); } } } /**

  Throws:
    `JRException`

### fillColumnBand

    protected net.sf.jasperreports.engine.fill.SavePoint fillColumnBand(JRFillBand band,
                                                                        byte evaluation)
                                                                 throws JRException

  Throws:
    `JRException`

### fillFixedBand

    protected void fillFixedBand(JRFillBand band,
                                 byte evaluation)
                          throws JRException

  Throws:
    `JRException`

### fillFixedBand

    protected void fillFixedBand(JRFillBand band,
                                 byte evaluation,
                                 boolean allowShrinking)
                          throws JRException

  Throws:
    `JRException`

### fillBand

    protected void fillBand(JRPrintBand band)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com